import * as pulumi from "@pulumi/pulumi";
/**
 * The ``AWS::ApiGatewayV2::Deployment`` resource creates a deployment for an API.
 */
export declare function getDeployment(args: GetDeploymentArgs, opts?: pulumi.InvokeOptions): Promise<GetDeploymentResult>;
export interface GetDeploymentArgs {
    /**
     * The API identifier.
     */
    apiId: string;
    /**
     * The deployment ID.
     */
    deploymentId: string;
}
export interface GetDeploymentResult {
    /**
     * The deployment ID.
     */
    readonly deploymentId?: string;
    /**
     * The description for the deployment resource.
     */
    readonly description?: string;
}
/**
 * The ``AWS::ApiGatewayV2::Deployment`` resource creates a deployment for an API.
 */
export declare function getDeploymentOutput(args: GetDeploymentOutputArgs, opts?: pulumi.InvokeOutputOptions): pulumi.Output<GetDeploymentResult>;
export interface GetDeploymentOutputArgs {
    /**
     * The API identifier.
     */
    apiId: pulumi.Input<string>;
    /**
     * The deployment ID.
     */
    deploymentId: pulumi.Input<string>;
}
