import * as pulumi from "@pulumi/pulumi";
import * as outputs from "../types/output";
/**
 * Resource Type definition for AWS::AppConfig::Application
 */
export declare function getApplication(args: GetApplicationArgs, opts?: pulumi.InvokeOptions): Promise<GetApplicationResult>;
export interface GetApplicationArgs {
    /**
     * The application Id
     */
    applicationId: string;
}
export interface GetApplicationResult {
    /**
     * The application Id
     */
    readonly applicationId?: string;
    /**
     * A description of the application.
     */
    readonly description?: string;
    /**
     * A name for the application.
     */
    readonly name?: string;
    /**
     * Metadata to assign to the application. Tags help organize and categorize your AWS AppConfig resources. Each tag consists of a key and an optional value, both of which you define.
     */
    readonly tags?: outputs.Tag[];
}
/**
 * Resource Type definition for AWS::AppConfig::Application
 */
export declare function getApplicationOutput(args: GetApplicationOutputArgs, opts?: pulumi.InvokeOutputOptions): pulumi.Output<GetApplicationResult>;
export interface GetApplicationOutputArgs {
    /**
     * The application Id
     */
    applicationId: pulumi.Input<string>;
}
