import * as pulumi from "@pulumi/pulumi";
/**
 * Definition of AWS::Bedrock::GuardrailVersion Resource Type
 */
export declare class GuardrailVersion extends pulumi.CustomResource {
    /**
     * Get an existing GuardrailVersion resource's state with the given name, ID, and optional extra
     * properties used to qualify the lookup.
     *
     * @param name The _unique_ name of the resulting resource.
     * @param id The _unique_ provider ID of the resource to lookup.
     * @param opts Optional settings to control the behavior of the CustomResource.
     */
    static get(name: string, id: pulumi.Input<pulumi.ID>, opts?: pulumi.CustomResourceOptions): GuardrailVersion;
    /**
     * Returns true if the given object is an instance of GuardrailVersion.  This is designed to work even
     * when multiple copies of the Pulumi SDK have been loaded into the same process.
     */
    static isInstance(obj: any): obj is GuardrailVersion;
    /**
     * Description of the Guardrail version
     */
    readonly description: pulumi.Output<string | undefined>;
    /**
     * Arn representation for the guardrail
     */
    readonly guardrailArn: pulumi.Output<string>;
    /**
     * Unique id for the guardrail
     */
    readonly guardrailId: pulumi.Output<string>;
    /**
     * Identifier (GuardrailId or GuardrailArn) for the guardrail
     */
    readonly guardrailIdentifier: pulumi.Output<string>;
    /**
     * Guardrail version
     */
    readonly version: pulumi.Output<string>;
    /**
     * Create a GuardrailVersion resource with the given unique name, arguments, and options.
     *
     * @param name The _unique_ name of the resource.
     * @param args The arguments to use to populate this resource's properties.
     * @param opts A bag of options that control this resource's behavior.
     */
    constructor(name: string, args: GuardrailVersionArgs, opts?: pulumi.CustomResourceOptions);
}
/**
 * The set of arguments for constructing a GuardrailVersion resource.
 */
export interface GuardrailVersionArgs {
    /**
     * Description of the Guardrail version
     */
    description?: pulumi.Input<string>;
    /**
     * Identifier (GuardrailId or GuardrailArn) for the guardrail
     */
    guardrailIdentifier: pulumi.Input<string>;
}
