import * as pulumi from "@pulumi/pulumi";
/**
 * Test and Publish a resource that has been registered in the CloudFormation Registry.
 */
export declare function getPublicTypeVersion(args: GetPublicTypeVersionArgs, opts?: pulumi.InvokeOptions): Promise<GetPublicTypeVersionResult>;
export interface GetPublicTypeVersionArgs {
    /**
     * The Amazon Resource Number (ARN) assigned to the public extension upon publication
     */
    publicTypeArn: string;
}
export interface GetPublicTypeVersionResult {
    /**
     * The Amazon Resource Number (ARN) assigned to the public extension upon publication
     */
    readonly publicTypeArn?: string;
    /**
     * The reserved publisher id for this type, or the publisher id assigned by CloudFormation for publishing in this region.
     */
    readonly publisherId?: string;
    /**
     * The Amazon Resource Number (ARN) of the extension with the versionId.
     */
    readonly typeVersionArn?: string;
}
/**
 * Test and Publish a resource that has been registered in the CloudFormation Registry.
 */
export declare function getPublicTypeVersionOutput(args: GetPublicTypeVersionOutputArgs, opts?: pulumi.InvokeOutputOptions): pulumi.Output<GetPublicTypeVersionResult>;
export interface GetPublicTypeVersionOutputArgs {
    /**
     * The Amazon Resource Number (ARN) assigned to the public extension upon publication
     */
    publicTypeArn: pulumi.Input<string>;
}
