import * as pulumi from "@pulumi/pulumi";
import * as outputs from "../types/output";
/**
 * Resource Type definition for AWS::CloudFront::ConnectionGroup
 */
export declare function getConnectionGroup(args: GetConnectionGroupArgs, opts?: pulumi.InvokeOptions): Promise<GetConnectionGroupResult>;
export interface GetConnectionGroupArgs {
    id: string;
}
export interface GetConnectionGroupResult {
    /**
     * The ID of the Anycast static IP list.
     */
    readonly anycastIpListId?: string;
    readonly arn?: string;
    readonly createdTime?: string;
    /**
     * A complex type that contains `Tag` key and `Tag` value.
     */
    readonly eTag?: string;
    readonly enabled?: boolean;
    readonly id?: string;
    readonly ipv6Enabled?: boolean;
    readonly isDefault?: boolean;
    readonly lastModifiedTime?: string;
    /**
     * Contains information about the Amazon Kinesis data stream where you are sending real-time log data in a real-time log configuration.
     */
    readonly routingEndpoint?: string;
    readonly status?: string;
    /**
     * A complex type that contains zero or more `Tag` elements.
     */
    readonly tags?: outputs.Tag[];
}
/**
 * Resource Type definition for AWS::CloudFront::ConnectionGroup
 */
export declare function getConnectionGroupOutput(args: GetConnectionGroupOutputArgs, opts?: pulumi.InvokeOutputOptions): pulumi.Output<GetConnectionGroupResult>;
export interface GetConnectionGroupOutputArgs {
    id: pulumi.Input<string>;
}
