import * as pulumi from "@pulumi/pulumi";
/**
 * Resource Type definition for AWS::Cognito::UserPoolUserToGroupAttachment
 */
export declare class UserPoolUserToGroupAttachment extends pulumi.CustomResource {
    /**
     * Get an existing UserPoolUserToGroupAttachment resource's state with the given name, ID, and optional extra
     * properties used to qualify the lookup.
     *
     * @param name The _unique_ name of the resulting resource.
     * @param id The _unique_ provider ID of the resource to lookup.
     * @param opts Optional settings to control the behavior of the CustomResource.
     */
    static get(name: string, id: pulumi.Input<pulumi.ID>, opts?: pulumi.CustomResourceOptions): UserPoolUserToGroupAttachment;
    /**
     * Returns true if the given object is an instance of UserPoolUserToGroupAttachment.  This is designed to work even
     * when multiple copies of the Pulumi SDK have been loaded into the same process.
     */
    static isInstance(obj: any): obj is UserPoolUserToGroupAttachment;
    /**
     * The name of the group that you want to add your user to.
     */
    readonly groupName: pulumi.Output<string>;
    /**
     * The ID of the user pool that contains the group that you want to add the user to.
     */
    readonly userPoolId: pulumi.Output<string>;
    /**
     * The user's username.
     */
    readonly username: pulumi.Output<string>;
    /**
     * Create a UserPoolUserToGroupAttachment resource with the given unique name, arguments, and options.
     *
     * @param name The _unique_ name of the resource.
     * @param args The arguments to use to populate this resource's properties.
     * @param opts A bag of options that control this resource's behavior.
     */
    constructor(name: string, args: UserPoolUserToGroupAttachmentArgs, opts?: pulumi.CustomResourceOptions);
}
/**
 * The set of arguments for constructing a UserPoolUserToGroupAttachment resource.
 */
export interface UserPoolUserToGroupAttachmentArgs {
    /**
     * The name of the group that you want to add your user to.
     */
    groupName: pulumi.Input<string>;
    /**
     * The ID of the user pool that contains the group that you want to add the user to.
     */
    userPoolId: pulumi.Input<string>;
    /**
     * The user's username.
     */
    username: pulumi.Input<string>;
}
