import * as pulumi from "@pulumi/pulumi";
import * as outputs from "../types/output";
/**
 * A segment definition resource of Amazon Connect Customer Profiles
 */
export declare function getSegmentDefinition(args: GetSegmentDefinitionArgs, opts?: pulumi.InvokeOptions): Promise<GetSegmentDefinitionResult>;
export interface GetSegmentDefinitionArgs {
    /**
     * The unique name of the domain.
     */
    domainName: string;
    /**
     * The unique name of the segment definition.
     */
    segmentDefinitionName: string;
}
export interface GetSegmentDefinitionResult {
    /**
     * The time of this segment definition got created.
     */
    readonly createdAt?: string;
    /**
     * The description of the segment definition.
     */
    readonly description?: string;
    /**
     * The Amazon Resource Name (ARN) of the segment definition.
     */
    readonly segmentDefinitionArn?: string;
    /**
     * The tags used to organize, track, or control access for this resource.
     */
    readonly tags?: outputs.Tag[];
}
/**
 * A segment definition resource of Amazon Connect Customer Profiles
 */
export declare function getSegmentDefinitionOutput(args: GetSegmentDefinitionOutputArgs, opts?: pulumi.InvokeOutputOptions): pulumi.Output<GetSegmentDefinitionResult>;
export interface GetSegmentDefinitionOutputArgs {
    /**
     * The unique name of the domain.
     */
    domainName: pulumi.Input<string>;
    /**
     * The unique name of the segment definition.
     */
    segmentDefinitionName: pulumi.Input<string>;
}
