import * as pulumi from "@pulumi/pulumi";
/**
 * Definition of AWS::Deadline::QueueLimitAssociation Resource Type
 */
export declare class QueueLimitAssociation extends pulumi.CustomResource {
    /**
     * Get an existing QueueLimitAssociation resource's state with the given name, ID, and optional extra
     * properties used to qualify the lookup.
     *
     * @param name The _unique_ name of the resulting resource.
     * @param id The _unique_ provider ID of the resource to lookup.
     * @param opts Optional settings to control the behavior of the CustomResource.
     */
    static get(name: string, id: pulumi.Input<pulumi.ID>, opts?: pulumi.CustomResourceOptions): QueueLimitAssociation;
    /**
     * Returns true if the given object is an instance of QueueLimitAssociation.  This is designed to work even
     * when multiple copies of the Pulumi SDK have been loaded into the same process.
     */
    static isInstance(obj: any): obj is QueueLimitAssociation;
    /**
     * The unique identifier of the farm that contains the queue-limit association.
     */
    readonly farmId: pulumi.Output<string>;
    /**
     * The unique identifier of the limit in the association.
     */
    readonly limitId: pulumi.Output<string>;
    /**
     * The unique identifier of the queue in the association.
     */
    readonly queueId: pulumi.Output<string>;
    /**
     * Create a QueueLimitAssociation resource with the given unique name, arguments, and options.
     *
     * @param name The _unique_ name of the resource.
     * @param args The arguments to use to populate this resource's properties.
     * @param opts A bag of options that control this resource's behavior.
     */
    constructor(name: string, args: QueueLimitAssociationArgs, opts?: pulumi.CustomResourceOptions);
}
/**
 * The set of arguments for constructing a QueueLimitAssociation resource.
 */
export interface QueueLimitAssociationArgs {
    /**
     * The unique identifier of the farm that contains the queue-limit association.
     */
    farmId: pulumi.Input<string>;
    /**
     * The unique identifier of the limit in the association.
     */
    limitId: pulumi.Input<string>;
    /**
     * The unique identifier of the queue in the association.
     */
    queueId: pulumi.Input<string>;
}
