import * as pulumi from "@pulumi/pulumi";
/**
 * Associates a gateway with a route table. The gateway and route table must be in the same VPC. This association causes the incoming traffic to the gateway to be routed according to the routes in the route table.
 */
export declare class GatewayRouteTableAssociation extends pulumi.CustomResource {
    /**
     * Get an existing GatewayRouteTableAssociation resource's state with the given name, ID, and optional extra
     * properties used to qualify the lookup.
     *
     * @param name The _unique_ name of the resulting resource.
     * @param id The _unique_ provider ID of the resource to lookup.
     * @param opts Optional settings to control the behavior of the CustomResource.
     */
    static get(name: string, id: pulumi.Input<pulumi.ID>, opts?: pulumi.CustomResourceOptions): GatewayRouteTableAssociation;
    /**
     * Returns true if the given object is an instance of GatewayRouteTableAssociation.  This is designed to work even
     * when multiple copies of the Pulumi SDK have been loaded into the same process.
     */
    static isInstance(obj: any): obj is GatewayRouteTableAssociation;
    /**
     * The route table association ID.
     */
    readonly associationId: pulumi.Output<string>;
    /**
     * The ID of the gateway.
     */
    readonly gatewayId: pulumi.Output<string>;
    /**
     * The ID of the route table.
     */
    readonly routeTableId: pulumi.Output<string>;
    /**
     * Create a GatewayRouteTableAssociation resource with the given unique name, arguments, and options.
     *
     * @param name The _unique_ name of the resource.
     * @param args The arguments to use to populate this resource's properties.
     * @param opts A bag of options that control this resource's behavior.
     */
    constructor(name: string, args: GatewayRouteTableAssociationArgs, opts?: pulumi.CustomResourceOptions);
}
/**
 * The set of arguments for constructing a GatewayRouteTableAssociation resource.
 */
export interface GatewayRouteTableAssociationArgs {
    /**
     * The ID of the gateway.
     */
    gatewayId: pulumi.Input<string>;
    /**
     * The ID of the route table.
     */
    routeTableId: pulumi.Input<string>;
}
