import * as pulumi from "@pulumi/pulumi";
import * as enums from "../types/enums";
/**
 * Resource Type definition for AWS::EC2::VPCBlockPublicAccessOptions
 */
export declare function getVpcBlockPublicAccessOptions(args: GetVpcBlockPublicAccessOptionsArgs, opts?: pulumi.InvokeOptions): Promise<GetVpcBlockPublicAccessOptionsResult>;
export interface GetVpcBlockPublicAccessOptionsArgs {
    /**
     * The identifier for the specified AWS account.
     */
    accountId: string;
}
export interface GetVpcBlockPublicAccessOptionsResult {
    /**
     * The identifier for the specified AWS account.
     */
    readonly accountId?: string;
    /**
     * The desired Block Public Access mode for Internet Gateways in your account. We do not allow to create in a off mode as this is the default value
     */
    readonly internetGatewayBlockMode?: enums.ec2.VpcBlockPublicAccessOptionsInternetGatewayBlockMode;
}
/**
 * Resource Type definition for AWS::EC2::VPCBlockPublicAccessOptions
 */
export declare function getVpcBlockPublicAccessOptionsOutput(args: GetVpcBlockPublicAccessOptionsOutputArgs, opts?: pulumi.InvokeOutputOptions): pulumi.Output<GetVpcBlockPublicAccessOptionsResult>;
export interface GetVpcBlockPublicAccessOptionsOutputArgs {
    /**
     * The identifier for the specified AWS account.
     */
    accountId: pulumi.Input<string>;
}
