import * as pulumi from "@pulumi/pulumi";
/**
 * Resource Type definition for AWS::EC2::VPCEndpointServicePermissions
 */
export declare function getVpcEndpointServicePermissions(args: GetVpcEndpointServicePermissionsArgs, opts?: pulumi.InvokeOptions): Promise<GetVpcEndpointServicePermissionsResult>;
export interface GetVpcEndpointServicePermissionsArgs {
    /**
     * The ID of the service.
     */
    serviceId: string;
}
export interface GetVpcEndpointServicePermissionsResult {
    /**
     * The Amazon Resource Names (ARN) of one or more principals (for example, users, IAM roles, and AWS accounts ). Permissions are granted to the principals in this list. To grant permissions to all principals, specify an asterisk (*). Permissions are revoked for principals not in this list. If the list is empty, then all permissions are revoked.
     */
    readonly allowedPrincipals?: string[];
}
/**
 * Resource Type definition for AWS::EC2::VPCEndpointServicePermissions
 */
export declare function getVpcEndpointServicePermissionsOutput(args: GetVpcEndpointServicePermissionsOutputArgs, opts?: pulumi.InvokeOutputOptions): pulumi.Output<GetVpcEndpointServicePermissionsResult>;
export interface GetVpcEndpointServicePermissionsOutputArgs {
    /**
     * The ID of the service.
     */
    serviceId: pulumi.Input<string>;
}
