import * as pulumi from "@pulumi/pulumi";
import * as enums from "../types/enums";
/**
 * Resource Type definition for AWS::EC2::SnapshotBlockPublicAccess
 */
export declare class SnapshotBlockPublicAccess extends pulumi.CustomResource {
    /**
     * Get an existing SnapshotBlockPublicAccess resource's state with the given name, ID, and optional extra
     * properties used to qualify the lookup.
     *
     * @param name The _unique_ name of the resulting resource.
     * @param id The _unique_ provider ID of the resource to lookup.
     * @param opts Optional settings to control the behavior of the CustomResource.
     */
    static get(name: string, id: pulumi.Input<pulumi.ID>, opts?: pulumi.CustomResourceOptions): SnapshotBlockPublicAccess;
    /**
     * Returns true if the given object is an instance of SnapshotBlockPublicAccess.  This is designed to work even
     * when multiple copies of the Pulumi SDK have been loaded into the same process.
     */
    static isInstance(obj: any): obj is SnapshotBlockPublicAccess;
    /**
     * The identifier for the specified AWS account.
     */
    readonly accountId: pulumi.Output<string>;
    /**
     * The state of EBS Snapshot Block Public Access.
     */
    readonly state: pulumi.Output<enums.ec2.SnapshotBlockPublicAccessState>;
    /**
     * Create a SnapshotBlockPublicAccess resource with the given unique name, arguments, and options.
     *
     * @param name The _unique_ name of the resource.
     * @param args The arguments to use to populate this resource's properties.
     * @param opts A bag of options that control this resource's behavior.
     */
    constructor(name: string, args: SnapshotBlockPublicAccessArgs, opts?: pulumi.CustomResourceOptions);
}
/**
 * The set of arguments for constructing a SnapshotBlockPublicAccess resource.
 */
export interface SnapshotBlockPublicAccessArgs {
    /**
     * The state of EBS Snapshot Block Public Access.
     */
    state: pulumi.Input<enums.ec2.SnapshotBlockPublicAccessState>;
}
