import * as pulumi from "@pulumi/pulumi";
import * as outputs from "../types/output";
/**
 * Resource Type definition for AWS::EventSchemas::Discoverer
 */
export declare function getDiscoverer(args: GetDiscovererArgs, opts?: pulumi.InvokeOptions): Promise<GetDiscovererResult>;
export interface GetDiscovererArgs {
    /**
     * The ARN of the discoverer.
     */
    discovererArn: string;
}
export interface GetDiscovererResult {
    /**
     * Defines whether event schemas from other accounts are discovered. Default is True.
     */
    readonly crossAccount?: boolean;
    /**
     * A description for the discoverer.
     */
    readonly description?: string;
    /**
     * The ARN of the discoverer.
     */
    readonly discovererArn?: string;
    /**
     * The Id of the discoverer.
     */
    readonly discovererId?: string;
    /**
     * Defines the current state of the discoverer.
     */
    readonly state?: string;
    /**
     * Tags associated with the resource.
     */
    readonly tags?: outputs.Tag[];
}
/**
 * Resource Type definition for AWS::EventSchemas::Discoverer
 */
export declare function getDiscovererOutput(args: GetDiscovererOutputArgs, opts?: pulumi.InvokeOutputOptions): pulumi.Output<GetDiscovererResult>;
export interface GetDiscovererOutputArgs {
    /**
     * The ARN of the discoverer.
     */
    discovererArn: pulumi.Input<string>;
}
