import * as pulumi from "@pulumi/pulumi";
/**
 * A resource schema representing a Lake Formation Tag.
 */
export declare function getTag(args: GetTagArgs, opts?: pulumi.InvokeOptions): Promise<GetTagResult>;
export interface GetTagArgs {
    /**
     * The key-name for the LF-tag.
     */
    tagKey: string;
}
export interface GetTagResult {
    /**
     * A list of possible values an attribute can take.
     */
    readonly tagValues?: string[];
}
/**
 * A resource schema representing a Lake Formation Tag.
 */
export declare function getTagOutput(args: GetTagOutputArgs, opts?: pulumi.InvokeOutputOptions): pulumi.Output<GetTagResult>;
export interface GetTagOutputArgs {
    /**
     * The key-name for the LF-tag.
     */
    tagKey: pulumi.Input<string>;
}
