import * as pulumi from "@pulumi/pulumi";
import * as outputs from "../types/output";
import * as enums from "../types/enums";
/**
 * Macie FindingsFilter resource schema.
 */
export declare function getFindingsFilter(args: GetFindingsFilterArgs, opts?: pulumi.InvokeOptions): Promise<GetFindingsFilterResult>;
export interface GetFindingsFilterArgs {
    /**
     * Findings filter ID.
     */
    id: string;
}
export interface GetFindingsFilterResult {
    /**
     * Findings filter action.
     */
    readonly action?: enums.macie.FindingsFilterFindingFilterAction;
    /**
     * Findings filter ARN.
     */
    readonly arn?: string;
    /**
     * Findings filter description
     */
    readonly description?: string;
    /**
     * Findings filter criteria.
     */
    readonly findingCriteria?: outputs.macie.FindingsFilterFindingCriteria;
    /**
     * Findings filter ID.
     */
    readonly id?: string;
    /**
     * Findings filter name
     */
    readonly name?: string;
    /**
     * Findings filter position.
     */
    readonly position?: number;
    /**
     * A collection of tags associated with a resource
     */
    readonly tags?: outputs.Tag[];
}
/**
 * Macie FindingsFilter resource schema.
 */
export declare function getFindingsFilterOutput(args: GetFindingsFilterOutputArgs, opts?: pulumi.InvokeOutputOptions): pulumi.Output<GetFindingsFilterResult>;
export interface GetFindingsFilterOutputArgs {
    /**
     * Findings filter ID.
     */
    id: pulumi.Input<string>;
}
