import * as pulumi from "@pulumi/pulumi";
import * as outputs from "../types/output";
/**
 * Resource schema for AWS::MediaPackage::PackagingConfiguration
 */
export declare function getPackagingConfiguration(args: GetPackagingConfigurationArgs, opts?: pulumi.InvokeOptions): Promise<GetPackagingConfigurationResult>;
export interface GetPackagingConfigurationArgs {
    /**
     * The ID of the PackagingConfiguration.
     */
    id: string;
}
export interface GetPackagingConfigurationResult {
    /**
     * The ARN of the PackagingConfiguration.
     */
    readonly arn?: string;
    /**
     * A CMAF packaging configuration.
     */
    readonly cmafPackage?: outputs.mediapackage.PackagingConfigurationCmafPackage;
    /**
     * A Dynamic Adaptive Streaming over HTTP (DASH) packaging configuration.
     */
    readonly dashPackage?: outputs.mediapackage.PackagingConfigurationDashPackage;
    /**
     * An HTTP Live Streaming (HLS) packaging configuration.
     */
    readonly hlsPackage?: outputs.mediapackage.PackagingConfigurationHlsPackage;
    /**
     * A Microsoft Smooth Streaming (MSS) PackagingConfiguration.
     */
    readonly mssPackage?: outputs.mediapackage.PackagingConfigurationMssPackage;
    /**
     * The ID of a PackagingGroup.
     */
    readonly packagingGroupId?: string;
    /**
     * A collection of tags associated with a resource
     */
    readonly tags?: outputs.Tag[];
}
/**
 * Resource schema for AWS::MediaPackage::PackagingConfiguration
 */
export declare function getPackagingConfigurationOutput(args: GetPackagingConfigurationOutputArgs, opts?: pulumi.InvokeOutputOptions): pulumi.Output<GetPackagingConfigurationResult>;
export interface GetPackagingConfigurationOutputArgs {
    /**
     * The ID of the PackagingConfiguration.
     */
    id: pulumi.Input<string>;
}
