"use strict";
// *** WARNING: this file was generated by pulumi-language-nodejs. ***
// *** Do not edit by hand unless you're certain you know what you are doing! ***
Object.defineProperty(exports, "__esModule", { value: true });
exports.ComputeNodeGroup = void 0;
const pulumi = require("@pulumi/pulumi");
const utilities = require("../utilities");
/**
 * AWS::PCS::ComputeNodeGroup resource creates an AWS PCS compute node group.
 */
class ComputeNodeGroup extends pulumi.CustomResource {
    /**
     * Get an existing ComputeNodeGroup resource's state with the given name, ID, and optional extra
     * properties used to qualify the lookup.
     *
     * @param name The _unique_ name of the resulting resource.
     * @param id The _unique_ provider ID of the resource to lookup.
     * @param opts Optional settings to control the behavior of the CustomResource.
     */
    static get(name, id, opts) {
        return new ComputeNodeGroup(name, undefined, Object.assign(Object.assign({}, opts), { id: id }));
    }
    /**
     * Returns true if the given object is an instance of ComputeNodeGroup.  This is designed to work even
     * when multiple copies of the Pulumi SDK have been loaded into the same process.
     */
    static isInstance(obj) {
        if (obj === undefined || obj === null) {
            return false;
        }
        return obj['__pulumiType'] === ComputeNodeGroup.__pulumiType;
    }
    /**
     * Create a ComputeNodeGroup resource with the given unique name, arguments, and options.
     *
     * @param name The _unique_ name of the resource.
     * @param args The arguments to use to populate this resource's properties.
     * @param opts A bag of options that control this resource's behavior.
     */
    constructor(name, args, opts) {
        let resourceInputs = {};
        opts = opts || {};
        if (!opts.id) {
            if ((!args || args.clusterId === undefined) && !opts.urn) {
                throw new Error("Missing required property 'clusterId'");
            }
            if ((!args || args.customLaunchTemplate === undefined) && !opts.urn) {
                throw new Error("Missing required property 'customLaunchTemplate'");
            }
            if ((!args || args.iamInstanceProfileArn === undefined) && !opts.urn) {
                throw new Error("Missing required property 'iamInstanceProfileArn'");
            }
            if ((!args || args.instanceConfigs === undefined) && !opts.urn) {
                throw new Error("Missing required property 'instanceConfigs'");
            }
            if ((!args || args.scalingConfiguration === undefined) && !opts.urn) {
                throw new Error("Missing required property 'scalingConfiguration'");
            }
            if ((!args || args.subnetIds === undefined) && !opts.urn) {
                throw new Error("Missing required property 'subnetIds'");
            }
            resourceInputs["amiId"] = args ? args.amiId : undefined;
            resourceInputs["clusterId"] = args ? args.clusterId : undefined;
            resourceInputs["customLaunchTemplate"] = args ? args.customLaunchTemplate : undefined;
            resourceInputs["iamInstanceProfileArn"] = args ? args.iamInstanceProfileArn : undefined;
            resourceInputs["instanceConfigs"] = args ? args.instanceConfigs : undefined;
            resourceInputs["name"] = args ? args.name : undefined;
            resourceInputs["purchaseOption"] = args ? args.purchaseOption : undefined;
            resourceInputs["scalingConfiguration"] = args ? args.scalingConfiguration : undefined;
            resourceInputs["slurmConfiguration"] = args ? args.slurmConfiguration : undefined;
            resourceInputs["spotOptions"] = args ? args.spotOptions : undefined;
            resourceInputs["subnetIds"] = args ? args.subnetIds : undefined;
            resourceInputs["tags"] = args ? args.tags : undefined;
            resourceInputs["arn"] = undefined /*out*/;
            resourceInputs["awsId"] = undefined /*out*/;
            resourceInputs["errorInfo"] = undefined /*out*/;
            resourceInputs["status"] = undefined /*out*/;
        }
        else {
            resourceInputs["amiId"] = undefined /*out*/;
            resourceInputs["arn"] = undefined /*out*/;
            resourceInputs["awsId"] = undefined /*out*/;
            resourceInputs["clusterId"] = undefined /*out*/;
            resourceInputs["customLaunchTemplate"] = undefined /*out*/;
            resourceInputs["errorInfo"] = undefined /*out*/;
            resourceInputs["iamInstanceProfileArn"] = undefined /*out*/;
            resourceInputs["instanceConfigs"] = undefined /*out*/;
            resourceInputs["name"] = undefined /*out*/;
            resourceInputs["purchaseOption"] = undefined /*out*/;
            resourceInputs["scalingConfiguration"] = undefined /*out*/;
            resourceInputs["slurmConfiguration"] = undefined /*out*/;
            resourceInputs["spotOptions"] = undefined /*out*/;
            resourceInputs["status"] = undefined /*out*/;
            resourceInputs["subnetIds"] = undefined /*out*/;
            resourceInputs["tags"] = undefined /*out*/;
        }
        opts = pulumi.mergeOptions(utilities.resourceOptsDefaults(), opts);
        const replaceOnChanges = { replaceOnChanges: ["clusterId", "instanceConfigs[*]", "name"] };
        opts = pulumi.mergeOptions(opts, replaceOnChanges);
        super(ComputeNodeGroup.__pulumiType, name, resourceInputs, opts);
    }
}
exports.ComputeNodeGroup = ComputeNodeGroup;
/** @internal */
ComputeNodeGroup.__pulumiType = 'aws-native:pcs:ComputeNodeGroup';
//# sourceMappingURL=computeNodeGroup.js.map