import * as pulumi from "@pulumi/pulumi";
/**
 * Specifies an Amazon Redshift subnet group.
 */
export declare function getClusterSubnetGroup(args: GetClusterSubnetGroupArgs, opts?: pulumi.InvokeOptions): Promise<GetClusterSubnetGroupResult>;
export interface GetClusterSubnetGroupArgs {
    /**
     * This name must be unique for all subnet groups that are created by your AWS account. If costumer do not provide it, cloudformation will generate it. Must not be "Default".
     */
    clusterSubnetGroupName: string;
}
export interface GetClusterSubnetGroupResult {
    /**
     * This name must be unique for all subnet groups that are created by your AWS account. If costumer do not provide it, cloudformation will generate it. Must not be "Default".
     */
    readonly clusterSubnetGroupName?: string;
    /**
     * The description of the parameter group.
     */
    readonly description?: string;
    /**
     * The list of VPC subnet IDs
     */
    readonly subnetIds?: string[];
}
/**
 * Specifies an Amazon Redshift subnet group.
 */
export declare function getClusterSubnetGroupOutput(args: GetClusterSubnetGroupOutputArgs, opts?: pulumi.InvokeOutputOptions): pulumi.Output<GetClusterSubnetGroupResult>;
export interface GetClusterSubnetGroupOutputArgs {
    /**
     * This name must be unique for all subnet groups that are created by your AWS account. If costumer do not provide it, cloudformation will generate it. Must not be "Default".
     */
    clusterSubnetGroupName: pulumi.Input<string>;
}
