import * as pulumi from "@pulumi/pulumi";
/**
 * AWS::RoboMaker::Robot resource creates an AWS RoboMaker Robot.
 */
export declare function getRobot(args: GetRobotArgs, opts?: pulumi.InvokeOptions): Promise<GetRobotResult>;
export interface GetRobotArgs {
    /**
     * The Amazon Resource Name (ARN) of the robot.
     */
    arn: string;
}
export interface GetRobotResult {
    /**
     * The Amazon Resource Name (ARN) of the robot.
     */
    readonly arn?: string;
    /**
     * A map that contains tag keys and tag values that are attached to the robot.
     */
    readonly tags?: {
        [key: string]: string;
    };
}
/**
 * AWS::RoboMaker::Robot resource creates an AWS RoboMaker Robot.
 */
export declare function getRobotOutput(args: GetRobotOutputArgs, opts?: pulumi.InvokeOutputOptions): pulumi.Output<GetRobotResult>;
export interface GetRobotOutputArgs {
    /**
     * The Amazon Resource Name (ARN) of the robot.
     */
    arn: pulumi.Input<string>;
}
