import * as pulumi from "@pulumi/pulumi";
import * as outputs from "../types/output";
/**
 * Schema for the AWS Route53 Recovery Readiness ResourceSet Resource and API.
 */
export declare function getResourceSet(args: GetResourceSetArgs, opts?: pulumi.InvokeOptions): Promise<GetResourceSetResult>;
export interface GetResourceSetArgs {
    /**
     * The name of the resource set to create.
     */
    resourceSetName: string;
}
export interface GetResourceSetResult {
    /**
     * The Amazon Resource Name (ARN) of the resource set.
     */
    readonly resourceSetArn?: string;
    /**
     * A list of resource objects in the resource set.
     */
    readonly resources?: outputs.route53recoveryreadiness.ResourceSetResource[];
    /**
     * A tag to associate with the parameters for a resource set.
     */
    readonly tags?: outputs.Tag[];
}
/**
 * Schema for the AWS Route53 Recovery Readiness ResourceSet Resource and API.
 */
export declare function getResourceSetOutput(args: GetResourceSetOutputArgs, opts?: pulumi.InvokeOutputOptions): pulumi.Output<GetResourceSetResult>;
export interface GetResourceSetOutputArgs {
    /**
     * The name of the resource set to create.
     */
    resourceSetName: pulumi.Input<string>;
}
