"use strict";
// *** WARNING: this file was generated by pulumi-language-nodejs. ***
// *** Do not edit by hand unless you're certain you know what you are doing! ***
Object.defineProperty(exports, "__esModule", { value: true });
exports.ResourceSet = void 0;
const pulumi = require("@pulumi/pulumi");
const utilities = require("../utilities");
/**
 * Schema for the AWS Route53 Recovery Readiness ResourceSet Resource and API.
 */
class ResourceSet extends pulumi.CustomResource {
    /**
     * Get an existing ResourceSet resource's state with the given name, ID, and optional extra
     * properties used to qualify the lookup.
     *
     * @param name The _unique_ name of the resulting resource.
     * @param id The _unique_ provider ID of the resource to lookup.
     * @param opts Optional settings to control the behavior of the CustomResource.
     */
    static get(name, id, opts) {
        return new ResourceSet(name, undefined, Object.assign(Object.assign({}, opts), { id: id }));
    }
    /**
     * Returns true if the given object is an instance of ResourceSet.  This is designed to work even
     * when multiple copies of the Pulumi SDK have been loaded into the same process.
     */
    static isInstance(obj) {
        if (obj === undefined || obj === null) {
            return false;
        }
        return obj['__pulumiType'] === ResourceSet.__pulumiType;
    }
    /**
     * Create a ResourceSet resource with the given unique name, arguments, and options.
     *
     * @param name The _unique_ name of the resource.
     * @param args The arguments to use to populate this resource's properties.
     * @param opts A bag of options that control this resource's behavior.
     */
    constructor(name, args, opts) {
        let resourceInputs = {};
        opts = opts || {};
        if (!opts.id) {
            if ((!args || args.resourceSetType === undefined) && !opts.urn) {
                throw new Error("Missing required property 'resourceSetType'");
            }
            if ((!args || args.resources === undefined) && !opts.urn) {
                throw new Error("Missing required property 'resources'");
            }
            resourceInputs["resourceSetName"] = args ? args.resourceSetName : undefined;
            resourceInputs["resourceSetType"] = args ? args.resourceSetType : undefined;
            resourceInputs["resources"] = args ? args.resources : undefined;
            resourceInputs["tags"] = args ? args.tags : undefined;
            resourceInputs["resourceSetArn"] = undefined /*out*/;
        }
        else {
            resourceInputs["resourceSetArn"] = undefined /*out*/;
            resourceInputs["resourceSetName"] = undefined /*out*/;
            resourceInputs["resourceSetType"] = undefined /*out*/;
            resourceInputs["resources"] = undefined /*out*/;
            resourceInputs["tags"] = undefined /*out*/;
        }
        opts = pulumi.mergeOptions(utilities.resourceOptsDefaults(), opts);
        const replaceOnChanges = { replaceOnChanges: ["resourceSetName", "resourceSetType"] };
        opts = pulumi.mergeOptions(opts, replaceOnChanges);
        super(ResourceSet.__pulumiType, name, resourceInputs, opts);
    }
}
exports.ResourceSet = ResourceSet;
/** @internal */
ResourceSet.__pulumiType = 'aws-native:route53recoveryreadiness:ResourceSet';
//# sourceMappingURL=resourceSet.js.map