import * as pulumi from "@pulumi/pulumi";
import * as enums from "../types/enums";
/**
 * Resource schema for AWS::Route53Resolver::ResolverDNSSECConfig.
 */
export declare function getResolverDnssecConfig(args: GetResolverDnssecConfigArgs, opts?: pulumi.InvokeOptions): Promise<GetResolverDnssecConfigResult>;
export interface GetResolverDnssecConfigArgs {
    /**
     * Id
     */
    id: string;
}
export interface GetResolverDnssecConfigResult {
    /**
     * Id
     */
    readonly id?: string;
    /**
     * AccountId
     */
    readonly ownerId?: string;
    /**
     * ResolverDNSSECValidationStatus, possible values are ENABLING, ENABLED, DISABLING AND DISABLED.
     */
    readonly validationStatus?: enums.route53resolver.ResolverDnssecConfigValidationStatus;
}
/**
 * Resource schema for AWS::Route53Resolver::ResolverDNSSECConfig.
 */
export declare function getResolverDnssecConfigOutput(args: GetResolverDnssecConfigOutputArgs, opts?: pulumi.InvokeOutputOptions): pulumi.Output<GetResolverDnssecConfigResult>;
export interface GetResolverDnssecConfigOutputArgs {
    /**
     * Id
     */
    id: pulumi.Input<string>;
}
