import * as pulumi from "@pulumi/pulumi";
import * as enums from "../types/enums";
/**
 * Resource Type definition for AWS::SageMaker::App
 */
export declare function getApp(args: GetAppArgs, opts?: pulumi.InvokeOptions): Promise<GetAppResult>;
export interface GetAppArgs {
    /**
     * The name of the app.
     */
    appName: string;
    /**
     * The type of app.
     */
    appType: enums.sagemaker.AppType;
    /**
     * The domain ID.
     */
    domainId: string;
    /**
     * The user profile name.
     */
    userProfileName: string;
}
export interface GetAppResult {
    /**
     * The Amazon Resource Name (ARN) of the app.
     */
    readonly appArn?: string;
}
/**
 * Resource Type definition for AWS::SageMaker::App
 */
export declare function getAppOutput(args: GetAppOutputArgs, opts?: pulumi.InvokeOutputOptions): pulumi.Output<GetAppResult>;
export interface GetAppOutputArgs {
    /**
     * The name of the app.
     */
    appName: pulumi.Input<string>;
    /**
     * The type of app.
     */
    appType: pulumi.Input<enums.sagemaker.AppType>;
    /**
     * The domain ID.
     */
    domainId: pulumi.Input<string>;
    /**
     * The user profile name.
     */
    userProfileName: pulumi.Input<string>;
}
