import * as pulumi from "@pulumi/pulumi";
import * as outputs from "../types/output";
/**
 * Resource schema for AWS::SageMaker::DeviceFleet
 */
export declare function getDeviceFleet(args: GetDeviceFleetArgs, opts?: pulumi.InvokeOptions): Promise<GetDeviceFleetResult>;
export interface GetDeviceFleetArgs {
    /**
     * The name of the edge device fleet
     */
    deviceFleetName: string;
}
export interface GetDeviceFleetResult {
    /**
     * Description for the edge device fleet
     */
    readonly description?: string;
    /**
     * S3 bucket and an ecryption key id (if available) to store outputs for the fleet
     */
    readonly outputConfig?: outputs.sagemaker.DeviceFleetEdgeOutputConfig;
    /**
     * Role associated with the device fleet
     */
    readonly roleArn?: string;
    /**
     * Associate tags with the resource
     */
    readonly tags?: outputs.Tag[];
}
/**
 * Resource schema for AWS::SageMaker::DeviceFleet
 */
export declare function getDeviceFleetOutput(args: GetDeviceFleetOutputArgs, opts?: pulumi.InvokeOutputOptions): pulumi.Output<GetDeviceFleetResult>;
export interface GetDeviceFleetOutputArgs {
    /**
     * The name of the edge device fleet
     */
    deviceFleetName: pulumi.Input<string>;
}
