import * as pulumi from "@pulumi/pulumi";
/**
 * Resource Type definition for AWS::SageMaker::ModelExplainabilityJobDefinition
 */
export declare function getModelExplainabilityJobDefinition(args: GetModelExplainabilityJobDefinitionArgs, opts?: pulumi.InvokeOptions): Promise<GetModelExplainabilityJobDefinitionResult>;
export interface GetModelExplainabilityJobDefinitionArgs {
    /**
     * The Amazon Resource Name (ARN) of job definition.
     */
    jobDefinitionArn: string;
}
export interface GetModelExplainabilityJobDefinitionResult {
    /**
     * The time at which the job definition was created.
     */
    readonly creationTime?: string;
    /**
     * The Amazon Resource Name (ARN) of job definition.
     */
    readonly jobDefinitionArn?: string;
}
/**
 * Resource Type definition for AWS::SageMaker::ModelExplainabilityJobDefinition
 */
export declare function getModelExplainabilityJobDefinitionOutput(args: GetModelExplainabilityJobDefinitionOutputArgs, opts?: pulumi.InvokeOutputOptions): pulumi.Output<GetModelExplainabilityJobDefinitionResult>;
export interface GetModelExplainabilityJobDefinitionOutputArgs {
    /**
     * The Amazon Resource Name (ARN) of job definition.
     */
    jobDefinitionArn: pulumi.Input<string>;
}
