import * as pulumi from "@pulumi/pulumi";
/**
 * Resource Type definition for AWS::SecretsManager::SecretTargetAttachment
 */
export declare function getSecretTargetAttachment(args: GetSecretTargetAttachmentArgs, opts?: pulumi.InvokeOptions): Promise<GetSecretTargetAttachmentResult>;
export interface GetSecretTargetAttachmentArgs {
    id: string;
}
export interface GetSecretTargetAttachmentResult {
    readonly id?: string;
    /**
     * The ID of the database or cluster.
     */
    readonly targetId?: string;
    /**
     * A string that defines the type of service or database associated with the secret. This value instructs Secrets Manager how to update the secret with the details of the service or database. This value must be one of the following:
     *
     * - AWS::RDS::DBInstance
     * - AWS::RDS::DBCluster
     * - AWS::Redshift::Cluster
     * - AWS::RedshiftServerless::Namespace
     * - AWS::DocDB::DBInstance
     * - AWS::DocDB::DBCluster
     * - AWS::DocDBElastic::Cluster
     */
    readonly targetType?: string;
}
/**
 * Resource Type definition for AWS::SecretsManager::SecretTargetAttachment
 */
export declare function getSecretTargetAttachmentOutput(args: GetSecretTargetAttachmentOutputArgs, opts?: pulumi.InvokeOutputOptions): pulumi.Output<GetSecretTargetAttachmentResult>;
export interface GetSecretTargetAttachmentOutputArgs {
    id: pulumi.Input<string>;
}
