export declare const ChannelDestinationType: {
    readonly EventDataStore: "EVENT_DATA_STORE";
};
/**
 * The type of destination for events arriving from a channel.
 */
export type ChannelDestinationType = (typeof ChannelDestinationType)[keyof typeof ChannelDestinationType];
export declare const DashboardRefreshScheduleFrequencyPropertiesUnit: {
    readonly Hours: "HOURS";
    readonly Days: "DAYS";
};
/**
 * The frequency unit. Supported values are HOURS and DAYS.
 */
export type DashboardRefreshScheduleFrequencyPropertiesUnit = (typeof DashboardRefreshScheduleFrequencyPropertiesUnit)[keyof typeof DashboardRefreshScheduleFrequencyPropertiesUnit];
export declare const DashboardRefreshScheduleStatus: {
    readonly Enabled: "ENABLED";
    readonly Disabled: "DISABLED";
};
/**
 * The status of the schedule. Supported values are ENABLED and DISABLED.
 */
export type DashboardRefreshScheduleStatus = (typeof DashboardRefreshScheduleStatus)[keyof typeof DashboardRefreshScheduleStatus];
export declare const DashboardStatus: {
    readonly Creating: "CREATING";
    readonly Created: "CREATED";
    readonly Updating: "UPDATING";
    readonly Updated: "UPDATED";
    readonly Deleting: "DELETING";
};
/**
 * The status of the dashboard. Values are CREATING, CREATED, UPDATING, UPDATED and DELETING.
 */
export type DashboardStatus = (typeof DashboardStatus)[keyof typeof DashboardStatus];
export declare const DashboardType: {
    readonly Managed: "MANAGED";
    readonly Custom: "CUSTOM";
};
/**
 * The type of the dashboard. Values are CUSTOM and MANAGED.
 */
export type DashboardType = (typeof DashboardType)[keyof typeof DashboardType];
export declare const TrailEventSelectorReadWriteType: {
    readonly All: "All";
    readonly ReadOnly: "ReadOnly";
    readonly WriteOnly: "WriteOnly";
};
/**
 * Specify if you want your trail to log read-only events, write-only events, or all. For example, the EC2 GetConsoleOutput is a read-only API operation and RunInstances is a write-only API operation.
 */
export type TrailEventSelectorReadWriteType = (typeof TrailEventSelectorReadWriteType)[keyof typeof TrailEventSelectorReadWriteType];
