import * as pulumi from "@pulumi/pulumi";
/**
 * Definition of AWS::Wisdom::AIAgentVersion Resource Type
 */
export declare function getAiAgentVersion(args: GetAiAgentVersionArgs, opts?: pulumi.InvokeOptions): Promise<GetAiAgentVersionResult>;
export interface GetAiAgentVersionArgs {
    /**
     * The identifier of the AI Agent.
     */
    aiAgentId: string;
    assistantId: string;
    /**
     * The version number for this AI Agent version.
     */
    versionNumber: number;
}
export interface GetAiAgentVersionResult {
    readonly aiAgentArn?: string;
    readonly aiAgentVersionId?: string;
    readonly assistantArn?: string;
    /**
     * The version number for this AI Agent version.
     */
    readonly versionNumber?: number;
}
/**
 * Definition of AWS::Wisdom::AIAgentVersion Resource Type
 */
export declare function getAiAgentVersionOutput(args: GetAiAgentVersionOutputArgs, opts?: pulumi.InvokeOutputOptions): pulumi.Output<GetAiAgentVersionResult>;
export interface GetAiAgentVersionOutputArgs {
    /**
     * The identifier of the AI Agent.
     */
    aiAgentId: pulumi.Input<string>;
    assistantId: pulumi.Input<string>;
    /**
     * The version number for this AI Agent version.
     */
    versionNumber: pulumi.Input<number>;
}
